Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ResolvedDependency

    public interface ResolvedDependency

Information about a resolved dependency.

Authors:
  Hans Dockter

Method Summary
`java.util.Set` | `getAllArtifacts(ResolvedDependency parent)` Returns the parent artifacts of this dependency and its children.
`java.util.Set` | `getAllModuleArtifacts()` Returns the module artifacts belonging to this ResolvedDependency and recursively to its children.
`java.util.Set` | `getArtifacts(ResolvedDependency parent)` Returns the parent artifacts of this dependency.
`java.util.Set` | `getChildren()` Returns the transitive ResolvedDependency instances of this resolved dependency.
`java.lang.String` | `getConfiguration()` Returns the configuration under which this instance was resolved.
`ResolvedModuleVersion` | `getModule()` Returns the module which this resolved dependency belongs to.
`java.util.Set` | `getModuleArtifacts()` Returns the module artifacts belonging to this ResolvedDependency.
`java.lang.String` | `getModuleGroup()` Returns the module group of the resolved dependency.
`java.lang.String` | `getModuleName()` Returns the module name of the resolved dependency.
`java.lang.String` | `getModuleVersion()` Returns the module version of the resolved dependency.
`java.lang.String` | `getName()` Returns the name of the resolved dependency.
`java.util.Set` | `getParentArtifacts(ResolvedDependency parent)` Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent.
`java.util.Set` | `getParents()` Returns the ResolvedDependency instances that have this instance as a transitive dependency.

Method Detail

### getAllArtifacts

    public java.util.Set getAllArtifacts(ResolvedDependency parent)

  Returns the parent artifacts of this dependency and its children. Never returns null.
  throws:
    org.gradle.api.InvalidUserDataException If the parent is unknown or null
  Parameters:
    `parent` - A parent of the ResolvedDependency. Must not be null.

### getAllModuleArtifacts

    public java.util.Set getAllModuleArtifacts()

  Returns the module artifacts belonging to this ResolvedDependency and recursively to its children. Returns never null.
  See Also:
    getModuleArtifacts()

### getArtifacts

    public java.util.Set getArtifacts(ResolvedDependency parent)

  Returns the parent artifacts of this dependency. Never returns null.
  throws:
    org.gradle.api.InvalidUserDataException If the parent is unknown or null
  Parameters:
    `parent` - A parent of the ResolvedDependency. Must not be null.

### getChildren

    public java.util.Set getChildren()

  Returns the transitive ResolvedDependency instances of this resolved dependency. Returns never null.

### getConfiguration

    public java.lang.String getConfiguration()

  Returns the configuration under which this instance was resolved.

### getModule

    public ResolvedModuleVersion getModule()

  Returns the module which this resolved dependency belongs to.
  Returns:
    The module.

### getModuleArtifacts

    public java.util.Set getModuleArtifacts()

  Returns the module artifacts belonging to this ResolvedDependency. A module artifact is an artifact that belongs to a ResolvedDependency independent of a particular parent. Returns never null.

### getModuleGroup

    public java.lang.String getModuleGroup()

  Returns the module group of the resolved dependency.

### getModuleName

    public java.lang.String getModuleName()

  Returns the module name of the resolved dependency.

### getModuleVersion

    public java.lang.String getModuleVersion()

  Returns the module version of the resolved dependency.

### getName

    public java.lang.String getName()

  Returns the name of the resolved dependency.

### getParentArtifacts

    public java.util.Set getParentArtifacts(ResolvedDependency parent)

  Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent. Returns never null.
  throws:
    org.gradle.api.InvalidUserDataException If the parent is unknown or null
  Parameters:
    `parent` - A parent of the ResolvedDependency. Must not be null.

### getParents

    public java.util.Set getParents()

  Returns the ResolvedDependency instances that have this instance as a transitive dependency. Returns never null.

Groovy Documentation